/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/


#header-outer.scrolled-down a#logout-btn {
    display:none;
}
.intro-content {
    position:absolute;
    z-index:10;
    color:white;
    font-weight:bold;
    width:600px;
    max-width:100%;
    padding:40px 40px;
    top:50%;
    transform:translateY(-50%);
}
.intro-content p {
    font-size:22px;
}
.intro-overlay {
    position:absolute;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.3);
    top:0;
    left:0;
    z-index:5;
}
.login-flex {
    display:flex;
    flex-wrap:wrap-reverse;
}

#tee-icon {
    position:fixed;
    bottom:35px;
    right:40px;
    padding:12px 40px;
    border-radius:5px;
    background:#342e30;
    z-index:100;
    display:flex;
    justify-content:center;
    align-items:center;
    box-shadow:0px 0px 15px rgba(0,0,0,.4);
    cursor:pointer;
    transition:transform .2s ease-out;
}
#tee-icon p {
    color:white;
    font-weight:bold;
    line-height:1.2;
    text-align:center;
    text-transform:uppercase;
    font-size:18px;
    margin:0;
    padding:0;
    letter-spacing:1.0px;
}

#tee-icon:hover {
    transform:scale(1.02);
}
#tee-icon:active {
    transform:scale(.98);
}
#tee-widget {
    position:fixed;
    bottom:-80px;
    right:40px;
    padding:40px 40px 60px;
    z-index:9999;
    width:500px;
    border-radius:5px;
    box-shadow:0px 0px 15px rgba(0,0,0,.4);
    max-width:100%;
    background:#342e30;
    transform:translate3d(0,100%,0);
    transition:all .23s ease-in-out;
    max-height:calc(100vh - 118px);
    overflow:scroll;
}
#tee-widget .ginput_complex {
    display:flex;
    gap:10px;
    max-width:100%;

}
#tee-widget .ginput_complex input {
    background:white;
    color:#191919;
}
#tee-widget .ginput_complex .ginput_container {
    width:100%;
}
#tee-widget input, 
#tee-widget select,
#tee-widget span {
    color:white;
    font-weight:600;
    font-size:16px !important;

}
#gform_confirmation_message_1 {
    color:white;
}
#tee-widget textarea {
    background:white;
    font-size:16px !important;
    color:#191919 !important;
    font-weight:bold;
}
#tee-widget .gfield_description {
    color:white;
}

#tee-widget input {
    font-size:14px;
}
#tee-widget .pad-bot {
    margin-bottom:20px;
}

#tee-widget input[type="submit"] {
    padding:15px 50px 13px;
}
#tee-widget .gform_submission_error {
    font-size:14px;
    color:red;
    font-weight:bold;
    line-height:1.2;
}
/* #tee-widget .gfield_visibility_hidden {
    display:none;
} */
#tee-widget .gform_title {
    color:white;
    font-size:24px;
    font-weight:bold;
}
#tee-widget .gform_required_legend {
    display:none;
}
#tee-widget input::placeholder {
    font-size:16px;
}
#tee-widget input[type="text"], 
#tee-widget select {
    background:white;
    color:#191919;
}
#tee-widget label,
#tee-widget legend {
    color:white;
    font-size:14px !important;
    text-transform:uppercase;
    font-weight:bold !important;
}
#tee-widget.show {
    bottom:-10px;
    transform:translate3d(0,0,0);
}
#tee-widget .close {
    position:absolute;
    top:10px;
    right:10px;
    width:50px;
    height:50px;
    background:#342e30;
    border-radius:50%;
    cursor:pointer;
}

#tee-widget .close span {
    display:block;
    position:absolute;
    top:25px;
    left:10px;
    width:30px;
    height:2px;
    background:white;
    transform:rotate(45deg);

}
#tee-widget .close span:last-child {
    transform:rotate(-45deg);
}
@media screen and (max-width:650px) {
    #tee-icon {
        width:100%;
        bottom:0;
        left:0;
        right:0;
    }
    #tee-widget {
        right:0px;
        left:0px;
    }
}


#weather-area {
    position:absolute;
    background:rgba(0,0,0,.6);
    right:0;
    top:120px;
    padding:0 5px;
    border-top-left-radius:5px;
    border-bottom-left-radius:5px;
    font-family:"Josefin Sans" !important;
    z-index:30;
}


@media screen and (max-width:650px) {
    #weather-area {
        top:200px;
    }

}
.weather-widget > div:last-child {
    display:none;
}
.wp-forecast {
    position:relative;
    
}
.wp-forecast-curr-head {
    display:none;
    color:white;
    text-align:left;
    font-weight:bold;
    font-size:18px;
    padding:0 6px !important;
}
.wp-forecast-curr-left {
    display:none;
}
.wp-forecast-curr-right {
    width:100%;
    padding:6px !important;
}
.wp-forecast-curr-right > div {
    font-size:24px;
    font-weight:bold;
    text-align:left !important;
}
.wp-forecast-curr-block,
.wp-forecast-curr-details {
    color:white;
    width:100%;
    float:none !important;
}
div.wp-forecast-curr-details {
    font-size:12px;
}
.wp-forecast-curr-details > div {
    text-transform:uppercase;
}

#member-search {
    height:50px;
    font-size:18px;
}
.atoz {
    display:flex;
    flex-wrap:wrap;
    align-items:center;
    justify-content:center;
    padding-top:40px;
}
.atoz > p {
    padding-bottom:0;
    margin-right:10px;
    font-size:16px;
    font-weight:bold;
}
.atoz > div {
    padding:2px 8px;
    border-right:solid 1px #eee;
}
.atoz > div .letter h3 {
    color:#BF1E2E;
}
.atoz > div .letter.faded h3 {
    color:#ddd;
}
.atoz > div h3 {
    margin-bottom:0;
    font-size:20px;
}
#member-form {
    width:700px;
    max-width:100%;
    margin:20px auto 0;
    position:relative;
}
#member-form input[type="submit"] {
    position:absolute;
    right:4px;
    font-weight:bold;
    top:3px;
    line-height:1.0;
    padding-left:12px;
    padding-right:12px;
    height:calc(100% - 6px);
}
.di-search-bar form input {
    border-radius:0;
    line-height:1;
    border:solid 2px var(--color-blue);
}

.page-member-directory .img-wrap .member-name h3:last-child {
    font-weight:700;
    font-size:16px;
}
.page-member-directory .member-section {
    margin:40px 0;
    position:relative;
}
.page-member-directory .member-section h2 {
    color:white;
    background:#a0705c;
    padding:14px 80px 10px;
    margin-bottom:20px;
    font-weight:bold;
}

.page-member-directory i.fa-search {
    position:absolute;
    font-size:23px;
    top:12px;
    right:10px;
    pointer-events:none;
    color:var(--color-blue);
}
.page-member-directory i.fa-window-close {
    position:absolute;
    font-size:28px;
    top:11px;
    right:45px;
    cursor:pointer;
    display:none;
    color:var(--color-blue);
}
.page-member-directory .member-results .member-section:first-of-type {
    margin-top:40px !important;
}
.page-member-directory .member-results.fixed .member-section .scroll-marker {
    position:absolute;
    top:-185px;
}
.page-member-directory .member-results.fixed .member-section:first-of-type{
    margin-top:220px !important;
}
.page-member-directory .img-wrap {
    position:relative;
    overflow:hidden;
    display:inline-block;
    height:0;
    width:100%;
    padding-bottom:120%;
    background:#ddd;
    border-radius:4px;
}
.page-member-directory .img-wrap:hover img {
    transform:scale(1.03);
}
.page-member-directory .img-wrap img {
    position:absolute;
    height:100%;
    width:100%;
    object-fit:cover;
    border-radius:4px;
    transition:transform .2s ease-out;
    will-change:transform;
}
.page-member-directory .img-wrap .overlay {
    position:absolute;
    left:0;
    width:100%;
    height:100%;
    background:linear-gradient(to bottom, rgba(0,0,0,0) 50%, rgba(0,0,0,.4));
    z-index:2;
    border-radius:4px;
}


#results-header {
    margin:20px 0;
    font-size:24px;
}
#results-container {
    display:none;
    flex-wrap:wrap;
    gap:10px;
    background:#eee;
    padding:0 10px;
    overflow:scroll;
    text-align:left;
    width:1000px;
    height:420px;
    margin:auto;
    max-width:100%;
    box-shadow:0 5px 5px rgba(0,0,0,.15);
}

#results-container .member-name h3 {
    font-size:15px;
    margin-bottom:0;
    line-height:1.0;
}

#results-container > div {
    width:calc(20% - 8px);
    display:inline-block;
    padding:10px 0 5px;
}
.filter-wrap {
    width:100%;
    position:relative;
    left:0;
    background:white;
    z-index:10;
    text-align:center;
    padding:0 25px 40px;
    box-shadow:0 8px 6px rgba(0,0,0,.06);
}
.filter-wrap.fixed {
    position:fixed;
    top:0px;
}
@media screen and (max-width:1000px) {
    .page-member-diredtory .member-section .grid-6 {
        grid-template-columns:repeat(4, 1fr);
        grid-gap:10px;
    }
    .filter-wrap {
        padding:40px 18px;
        width:100%;
        max-width:100%;
        left:50%;
        transform:translateX(-50%);
    }
   
    .atoz {
        margin-top:0;
    }
    .atoz p {
        display:block;
        width:100%;
        margin-bottom:10px;
    }
    .filter-wrap.fixed {
        top:8px;
       
    }
    .member-results.fixed {
        padding-top:170px !important;
    }
   
    #results-container > a {
        width:calc(25% - 10px);
    }
}

@media screen and (max-width:768px) {
    #results-container {
        overflow:scroll;
        white-space:nowrap;
    }
    #results-container > div {
        width:calc(50% - 12px);
        margin-right:5px;
    }
    #member-form input[type="submit"] {
        padding:5px 14px;
    }
    .page-member-directory i.fa-search {
        top:7px;
    }
    .page-member-directory i.fa-window-close {
        top:8px;
    }
    .page-member-directory .member-section .grid-6 {
        display:block;
        overflow:scroll;
        white-space:nowrap;
    }
}

.grid-5 {
    display:grid;
    grid-template-columns:repeat(5, minmax(0, 1fr));
    grid-gap:10px;
    grid-row-gap:40px;
    padding:0 80px;
    width:1440px;
    max-width:100%;
    margin:auto;
}

.member-user-wrap a > div {
    position:relative;
    height:0;
    padding-bottom:100%;
    overflow:hidden;
    margin-bottom:10px;
    background:#e0e0e0;
    border-radius:4px;
    background-repeat:no-repeat;
    background-position:0 0;
    background-image: linear-gradient(to right,#ccc, #aaa);
	background-size:400% auto;
	animation:gradient 2.7s ease infinite;
}
.div.no-image {
    animation:none;
    background-size:contain;
}
div.no-image img {
    height:auto;
    object-fit:initial;
    width:60%;
    margin:auto;
    top:calc(50% - 8px);
    left:50%;
    transform:translate(-50%,-50%);
}

@keyframes gradient {
	0% {
		background-position: 0 0%;
	}
    50% {
		background-position: 100% 0%;
    }
    100% {
		background-position:0 0;
    }		
}

.member-user-wrap a {
    display:block;
}
.member-user-wrap a.email {
    overflow-wrap:break-word;
    line-height:1.0;
    margin-bottom:5px;
}
.member-user-wrap p {
    font-weight:bold;
    line-height:1.2;
    padding-bottom:6px;
}

.member-user-wrap img {
    object-fit:cover;
    width:100%;
    height:100%;
    top:0;
    left:0;
    position:absolute;
    margin-bottom:20px;
}
#login-wrap {
    background:url(./images/login-bg.jpg);
    background-size:cover;
    width:100vw;
    height:100vh;
    min-height:650px;
    position:relative;
    padding:0 25px;
}
.sidebar-overlay {
    position:absolute;
    right:0;
    top:0;
    height:100vh;
    min-height:650px;
    width:20vw;
    min-width:450px;
    padding:60px 40px;
    background:rgba(0,0,0,.5);
    z-index:10;
}
#login-wrap .sidebar-overlay img {
width:60%;
margin:0 auto 40px;
display:block;
}

#login-wrap #loginform p,
#login-wrap #lostpasswordform p,
#login-wrap #resetpasswordform p {
    color:white;
    font-weight:bold;
}
#login-wrap #loginform label,
#login-wrap #lostpasswordform label,
#login-wrap #resetpasswordform label {
    display:block;
    margin-bottom:5px;
}
#login-wrap .pw {
    color:white;
    font-weight:bold;
    font-size:15px;
}
#login-wrap #loginform input[type="text"],
#login-wrap #loginform input[type="password"],
#login-wrap #loginform input[type="submit"],
#login-wrap #lostpasswordform input[type="text"],
#login-wrap #lostpasswordform input[type="password"],
#login-wrap #lostpasswordform button[type="submit"],
#login-wrap #resetpasswordform input[type="text"],
#login-wrap #resetpasswordform input[type="password"],
#login-wrap #resetpasswordform button[type="submit"] {
    border:solid 2px white;
    color:white;
    border-radius:0;
    width:100%;
    font-size:20px;
}
#login-wrap #loginform input[type="submit"],
#login-wrap #lostpasswordform button[type="submit"],
#login-wrap #resetpasswordform button[type="submit"] {
    background:transparent;
    text-transform:uppercase;
    padding:14px 20px;
    font-size:14px;
}
#login-wrap #loginform input[type="submit"]:hover {
    background:#a0705c;
}


#login-wrap.reset-pw .logo img {
    width:240px;
    max-width:100%;
    margin:0 auto 40px;
    display:block;
}

#logout-btn {
    position:absolute;
    font-weight:bold;
    color:white;
    right:25px;
    top:50px;
    z-index:9999;
    cursor:pointer;
}
.som-password-sent-message {
    margin-bottom:0px !important;
    font-weight:bold !important;
    background:#a0705c !important;
    border:none !important;
}

@media screen and (max-width:1200px) {
    .intro-content {
        width:40%;
    }
    .intro-content p {
        font-size:18px;
    }
    .sidebar-overlay {
        width:50%;
        min-width:300px;
    }
}

.member-details {
    padding-bottom:60px !important;
}

.member-details .flex {
    /* display:grid;
    grid-template-columns:repeat(2, 1fr); */
    gap:60px;
    align-items:center;
    display:flex;
}
.member-details .pic-wrap,
.member-details .member-details-container {
    width:50%;
}
.member-details .pic-wrap .no-image {
    position:relative;
    width:100%;
    height:0;
    padding-bottom:100%;
    overflow:hidden;
    margin-bottom:10px;
    background:#e0e0e0;
    border-radius:4px;
    background-repeat:no-repeat;
    background-position:0 0;
    background-image: linear-gradient(to right,#ccc, #aaa);
	background-size:400% auto;
}
.member-details .pic-wrap .no-image img {
    left:50%;
    top:50%;
    transform:translate(-50%, -50%);
    position:absolute;
}

.member-details .member-details-container > div {
    /* margin-bottom:30px; */
}
.member-details .member-details-container h2 {
    font-weight:bold;
    font-size:30px;
    font-family:'Barlow Condensed', sans-serif;
    color:#342e30;
    text-transform:initial;
    ;
}
.member-details .member-details-container p {
    color:#a0705c;
    font-weight:400;
    font-size:22px;
    padding-bottom:10px;
}
.member-details .member-details-container p:not(:last-child) {
    padding-bottom:20px;
}

.member-details .add-flex {
    display:flex;
    gap:5px;
}
.member-details .back {
    margin-bottom:40px;
    display:inline-block;
    font-weight:bold;
    position:relative;
    padding-left:20px;
}
.member-details .back svg {
    position:absolute;
    top:4px;
    left:-5px;
}
@media screen and (max-width:1000px) {
    .member-details .flex {
        flex-wrap:wrap;
        gap:30px;
    }
    .member-details .pic-wrap {
        width:100%;
    }

}



@media screen and (max-width:900px) {
    .grid-5 {
        padding:0 28px;
        grid-template-columns:repeat(4, minmax(0, 1fr));
    }
}
@media screen and (max-width:650px) {
    .intro-content {
        position:relative;
        color:black;
        transform:none;
        top:initial;
        width:100%;
    }
    .intro-overlay {
        display:none;
    }
    .grid-5 {
        padding:0 18px;
        grid-template-columns:repeat(2, minmax(0, 1fr));
    }
   
    .sidebar-overlay {
        width:100%;
        padding:0;
        height:100vh;
        min-width:initial;
        padding:20px 20px;
    }
    #login-wrap {
        height:100vh;
    }
    #login-wrap .sidebar-overlay img {
        width:200px;
    }
    #logout-btn {
        top:70px;
        right:15px;
    }
}

@media only screen and (max-width: 650px) {
    body #top #logo img, 
    #header-outer[data-permanent-transparent="false"] #logo .dark-version {
        height:60px !important;
    }
}








